Package org.apache.sling.auth.form

# Enum Class FormReason

java.lang.Object
java.lang.Enum<FormReason>
org.apache.sling.auth.form.FormReason

All Implemented Interfaces:
  `Serializable`, `Comparable<FormReason>`, `Constable`

public enum FormReason extends Enum<FormReason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INVALID_CREDENTIALS`
The login form is request because the credentials previously entered very not valid to login to the repository.
`TIMEOUT`
The login form is requested because an existing session has timed out and the credentials have to be entered again.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns the message set when constructing this instance.
`static FormReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FormReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID_CREDENTIALS

public static final FormReason INVALID_CREDENTIALS
The login form is request because the credentials previously entered very not valid to login to the repository.

### TIMEOUT

public static final FormReason TIMEOUT
The login form is requested because an existing session has timed out and the credentials have to be entered again.

## Method Details

### values

public static FormReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FormReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()
Returns the message set when constructing this instance. To get the official name call the `name()` method.

Overrides:
  `toString` in class `Enum<FormReason>`